%define		_enable_debug_packages	0

Summary:	A collection of GSettings schemas
Summary(pl.UTF-8):	Zbiór schematów GSettings
Name:		gsettings-desktop-schemas
Version:	42.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gsettings-desktop-schemas/42/%{name}-%{version}.tar.xz
# Source0-md5:	6ba027e2b6bcfefd6d42cb7aa41bb040
URL:		https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.32.0
Requires:	glib2 >= 1:2.32.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of GSettings schemas.

%description -l pl.UTF-8
Zbiór schematów GSettings.

%package devel
Summary:	Development files for gsettings-desktop-schemas
Summary(pl.UTF-8):	Pliki programistyczne dla gsettings-desktop-schemas
Group:		Development/Libraries
BuildArch:	noarch

%description devel
Development files for gsettings-desktop-schemas.

%description devel -l pl.UTF-8
Pliki programistyczne dla gsettings-desktop-schemas.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{_libdir}/girepository-1.0/GDesktopEnums-3.0.typelib
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.magnifier.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.app-folders.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.datetime.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.default-applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.input-sources.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.media-handling.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.notifications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.privacy.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.screensaver.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.search-providers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.session.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnail-cache.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnailers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.locale.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.location.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.proxy.gschema.xml

%files devel
%defattr(644,root,root,755)
%{_datadir}/gir-1.0/GDesktopEnums-3.0.gir
%{_includedir}/gsettings-desktop-schemas
%{_npkgconfigdir}/gsettings-desktop-schemas.pc
%changelog
* Tue Mar 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gsettings-desktop-schemas.git;a=log;h=master

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> 60ed3c2
- up to 42.0

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 2ef65ea
- updated to 41.0, noarch -devel package

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 87c5c18
- disable debug packages; rel 2

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> d5662be
- up to 40.0

* Thu Sep 17 2020 Jan Palus <atler@pld-linux.org> 9cef70c
- up to 3.38.0

* Thu Apr 30 2020 Jakub Bogusz <qboosh@pld-linux.org> a5d09b0
- updated to 3.36.1

* Fri Mar 13 2020 Jan Palus <atler@pld-linux.org> b0923d2
- up to 3.36.0

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 58f2f07
- for binary packages, store MAINTAINERS instead of HACKING

* Tue Sep 10 2019 Jan Palus <atler@pld-linux.org> a4eabaa
- up to 3.34.0

* Thu Mar 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 30366ef
- BR: ninja; intltool no longer used

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> d1be989
- up to 3.32.0

* Sun Sep 23 2018 Jan Palus <atler@pld-linux.org> 72a9395
- up to 3.28.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e4bf8aa
- Update to 3.28.0

* Wed Sep 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> f494df9
- Update to 3.24.1

* Mon Mar 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3727947
- Update to 3.24.0

* Wed Sep 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 769d36b
- updated to 3.22.0

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 760d40b
- Update to 3.20.0

* Wed Oct 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 73713d9
- Update to 3.18.1

* Wed Sep 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> c02aeca
- Update to 3.18.0

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 92b8155
- updated to 3.16.1

